unit uFormPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, Menus, ImgList, ExtCtrls, ComCtrls, ToolWin;

type
  TfrmPrincipal = class(TForm)
    ToolBar1: TToolBar;
    ToolButton2: TToolButton;
    ToolButton4: TToolButton;
    ToolButton10: TToolButton;
    Image1: TImage;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    Cadastro1: TMenuItem;
    Pontos1: TMenuItem;
    Sair1: TMenuItem;
    Movimentao1: TMenuItem;
    Utilitrios1: TMenuItem;
    Parametros1: TMenuItem;
    N6: TMenuItem;
    Sobre1: TMenuItem;
    ActionList1: TActionList;
    cadLotes: TAction;
    cadSair: TAction;
    paramentros: TAction;
    sobre: TAction;
    StatusBar1: TStatusBar;
    ToolButton1: TToolButton;
    movLancamentos: TAction;
    ImageList2: TImageList;
    N7: TMenuItem;
    ContasReceber1: TMenuItem;
    ToolButton3: TToolButton;
    cadProdutos: TAction;
    ToolButton5: TToolButton;
    Produtos1: TMenuItem;
    cadFornecedores: TAction;
    Fornecedores1: TMenuItem;
    cadClientes: TAction;
    Clientes1: TMenuItem;
    ToolButton6: TToolButton;
    cadCidades: TAction;
    Cidades1: TMenuItem;
    procedure cadLotesExecute(Sender: TObject);
    procedure cadSairExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure cadCidadesExecute(Sender: TObject);
    procedure movLancamentosExecute(Sender: TObject);
    procedure cadProdutosExecute(Sender: TObject);
    procedure cadFornecedoresExecute(Sender: TObject);
    procedure cadClientesExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPrincipal: TfrmPrincipal;

implementation

uses uDM, uFormCadLotes, uFormRegLancamentos, uFormCadProdutos,
  uFormCadFornecedores, uFormCadClientes, uFormCadCidades, uFormRegLancamentos1;


{$R *.dfm}

procedure TfrmPrincipal.cadProdutosExecute(Sender: TObject);
begin
  Application.CreateForm(TfrmCadProdutos, frmCadProdutos);
  frmCadProdutos.ShowModal;
  FreeAndNil(frmCadProdutos);
end;

procedure TfrmPrincipal.cadCidadesExecute(Sender: TObject);
begin
  Application.CreateForm(TfrmCadCidades, frmCadCidades);
  frmCadCidades.ShowModal;
  FreeAndNil(frmCadCidades);
end;

procedure TfrmPrincipal.cadClientesExecute(Sender: TObject);
begin
  Application.CreateForm(TfrmCadClientes, frmCadClientes);
  frmCadClientes.ShowModal;
  FreeAndNil(frmCadClientes);
end;

procedure TfrmPrincipal.cadFornecedoresExecute(Sender: TObject);
begin
  Application.CreateForm(TfrmCadFornecedores, frmCadFornecedores);
  frmCadFornecedores.ShowModal;
  FreeAndNil(frmCadFornecedores);
end;

procedure TfrmPrincipal.cadLotesExecute(Sender: TObject);
begin
  Application.CreateForm(TfrmCadLotes, frmCadLotes);
  frmCadLotes.ShowModal;
  FreeAndNil(frmCadLotes);
end;

procedure TfrmPrincipal.cadSairExecute(Sender: TObject);
begin
  Close;
end;

procedure TfrmPrincipal.FormShow(Sender: TObject);
begin
  if FileExists(ExtractFileDir(Application.ExeName) + '\imagens\tela.bmp') then
   Image1.Picture.LoadFromFile(ExtractFileDir(Application.ExeName) + '\imagens\tela.bmp');
  //DM.SQLCDBPSICULTURA.Connected := True;
end;

procedure TfrmPrincipal.movLancamentosExecute(Sender: TObject);
begin
  Application.CreateForm(TfrmRegLancamentos, frmRegLancamentos);
  frmRegLancamentos.ShowModal;
  FreeAndNil(frmRegLancamentos);
end;

end.
